package com.kingdee.eas.custom.dormitorysystem.otherbasicdata;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class PersonDormitoryTypeTreeCollection extends AbstractObjectCollection 
{
    public PersonDormitoryTypeTreeCollection()
    {
        super(PersonDormitoryTypeTreeInfo.class);
    }
    public boolean add(PersonDormitoryTypeTreeInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(PersonDormitoryTypeTreeCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(PersonDormitoryTypeTreeInfo item)
    {
        return removeObject(item);
    }
    public PersonDormitoryTypeTreeInfo get(int index)
    {
        return(PersonDormitoryTypeTreeInfo)getObject(index);
    }
    public PersonDormitoryTypeTreeInfo get(Object key)
    {
        return(PersonDormitoryTypeTreeInfo)getObject(key);
    }
    public void set(int index, PersonDormitoryTypeTreeInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(PersonDormitoryTypeTreeInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(PersonDormitoryTypeTreeInfo item)
    {
        return super.indexOf(item);
    }
}